coreEngine.Calibration.Operators

## Class Mutation

- java.lang.Object
- - coreEngine.Calibration.Operators.Mutation

- Direct Known Subclasses:
    MutationBoundary, MutationGuassian, MutationNonUniform, MutationUniform

      public abstract class Mutation
      extends java.lang.Object

  Author:
    jltrask

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GeneticAlgorithm` | `alg`
    `protected double[][][]` | `baseProfileFits`
    `protected float[][][]` | `baseProfiles`
    `protected boolean` | `usesBaseProfiles`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Mutation(GeneticAlgorithm alg)`
    `Mutation(GeneticAlgorithm alg, boolean usesBaseProfiles)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `binStringMutate(java.lang.String binVal)`
    `protected abstract float` | `generateMutatedValue(float originalVal)`
    `protected abstract float` | `generateMutatedValue(float originalVal, int type, int seg, int per)`
    `protected abstract java.lang.String` | `generateMutatedValue(java.lang.String binString, int type, int seg, int per)`
    `void` | `mutate(CAFBinOrg org)`
    `void` | `mutate(CapacityOrg2 org)`
    `void` | `mutate(ConstrainedCap1Org org)`
    `void` | `mutate(ConstrainedCap2Org org)`
    `void` | `mutate(HybridDemandCDPOrg org)`
    `void` | `mutate(HybridDemandOrg org)`
    `void` | `mutate(NDistCDPOrg org)`
    `void` | `mutate(NDistOrg org)`
    `void` | `mutate(PBDemCDPOrg org)`
    `void` | `mutate(PBDemOrg org)`
    `void` | `setBaseProfiles(float[][][] profiles)`
    `boolean` | `usesBaseProfiles()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### alg

          protected final GeneticAlgorithm alg

    - #### usesBaseProfiles

          protected final boolean usesBaseProfiles

    - #### baseProfiles

          protected float[][][] baseProfiles

    - #### baseProfileFits

          protected double[][][] baseProfileFits

  - ### Constructor Detail

    - #### Mutation

          public Mutation(GeneticAlgorithm alg)

    - #### Mutation

          public Mutation(GeneticAlgorithm alg,
                          boolean usesBaseProfiles)

  - ### Method Detail

    - #### usesBaseProfiles

          public boolean usesBaseProfiles()

    - #### setBaseProfiles

          public void setBaseProfiles(float[][][] profiles)

    - #### generateMutatedValue

          protected abstract float generateMutatedValue(float originalVal)

    - #### generateMutatedValue

          protected abstract float generateMutatedValue(float originalVal,
                                                        int type,
                                                        int seg,
                                                        int per)

    - #### generateMutatedValue

          protected abstract java.lang.String generateMutatedValue(java.lang.String binString,
                                                                   int type,
                                                                   int seg,
                                                                   int per)

    - #### mutate

          public void mutate(PBDemOrg org)

    - #### mutate

          public void mutate(PBDemCDPOrg org)

    - #### mutate

          public void mutate(CAFBinOrg org)

    - #### mutate

          public void mutate(CapacityOrg2 org)

    - #### mutate

          public void mutate(NDistOrg org)

    - #### mutate

          public void mutate(NDistCDPOrg org)

    - #### mutate

          public void mutate(HybridDemandOrg org)

    - #### mutate

          public void mutate(HybridDemandCDPOrg org)

    - #### mutate

          public void mutate(ConstrainedCap2Org org)

    - #### mutate

          public void mutate(ConstrainedCap1Org org)

    - #### binStringMutate

          public abstract java.lang.String binStringMutate(java.lang.String binVal)